- entityDefinitions:
  - IDC_ReportFilter: '{015b2ade-75ec-427a-aa2f-3fed585db84a}'
  - IDR_Report_Definition__has_top_level__Report_Filter: '{4b49f9da-19d7-4a7c-b3a0-a9397fbf855c}'
  - IDR_Report_Filter__top_level_for__Report_Definition: '{ccd247ef-31c8-4acd-bae9-ed710787f08d}'
  - IDR_Report_Filter__has__Report_Field: '{03e71c04-2957-435c-95f3-91c2dcc02620}'
  - IDR_Report_Field__for__Report_Filter: '{e4255953-977a-465e-acc3-8f1297fa616f}'

- library: '&IDL_MochaBaseSystem;'
  instances:
  - class: '&IDC_ReportFilter;'
    name: Report Filter
    index: 1429
    registerForTemplate: yes
    

  - relationship: '&IDR_Report_Definition__has_top_level__Report_Filter;'
    index: 3664
    sourceClassId: '&IDC_ReportDefinition;'
    type: 'has top level'
    destinationClassId: '&IDC_ReportFilter;'
    siblingRelationshipId: '&IDR_Report_Filter__top_level_for__Report_Definition;'
    singular: no

  - relationship: '&IDR_Report_Filter__top_level_for__Report_Definition;'
    index: 3665
    sourceClassId: '&IDC_ReportFilter;'
    type: 'top level for'
    destinationClassId: '&IDC_ReportDefinition;'
    siblingRelationshipId: '&IDR_Report_Definition__has_top_level__Report_Filter;'
    singular: no


  - relationship: '&IDR_Report_Filter__has__Report_Field;'
    index: 4098
    sourceClassId: '&IDC_ReportFilter;'
    type: 'has'
    destinationClassId: '&IDC_ReportField;'
    siblingRelationshipId: '&IDR_Report_Field__for__Report_Filter;'
    singular: no

  - relationship: '&IDR_Report_Field__for__Report_Filter;'
    index: 4099
    sourceClassId: '&IDC_ReportField;'
    type: 'for'
    destinationClassId: '&IDC_ReportFilter;'
    siblingRelationshipId: '&IDR_Report_Filter__has__Report_Field;'
    singular: no
